GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_hpack_parser Struct Reference

`#include <hpack_parser.h>`

## Data Fields
void(* | on_header )(void *user_data, grpc_mdelem *md)
void * | on_header_user_data
grpc_chttp2_hpack_parser_state | state
const grpc_chttp2_hpack_parser_state * | next_state
grpc_chttp2_hpack_parser_state | after_prioritization
union {
gpr_uint32 * value
grpc_chttp2_hpack_parser_string * str
} | parsing
grpc_chttp2_hpack_parser_string | key
grpc_chttp2_hpack_parser_string | value
gpr_uint32 | index
gpr_uint32 | strlen
gpr_uint32 | strgot
gpr_uint16 | huff_state
gpr_uint8 | binary
gpr_uint8 | huff
gpr_uint8 | is_boundary
gpr_uint8 | is_eof
gpr_uint32 | base64_buffer
grpc_chttp2_hptbl | table

## Field Documentation

grpc_chttp2_hpack_parser_state grpc_chttp2_hpack_parser::after_prioritization

gpr_uint32 grpc_chttp2_hpack_parser::base64_buffer

gpr_uint8 grpc_chttp2_hpack_parser::binary

gpr_uint8 grpc_chttp2_hpack_parser::huff

gpr_uint16 grpc_chttp2_hpack_parser::huff_state

gpr_uint32 grpc_chttp2_hpack_parser::index

gpr_uint8 grpc_chttp2_hpack_parser::is_boundary

gpr_uint8 grpc_chttp2_hpack_parser::is_eof

grpc_chttp2_hpack_parser_string grpc_chttp2_hpack_parser::key

const grpc_chttp2_hpack_parser_state* grpc_chttp2_hpack_parser::next_state

void(* grpc_chttp2_hpack_parser::on_header)(void *user_data, grpc_mdelem *md)

void* grpc_chttp2_hpack_parser::on_header_user_data

union { ... } grpc_chttp2_hpack_parser::parsing

grpc_chttp2_hpack_parser_state grpc_chttp2_hpack_parser::state

grpc_chttp2_hpack_parser_string* grpc_chttp2_hpack_parser::str

gpr_uint32 grpc_chttp2_hpack_parser::strgot

gpr_uint32 grpc_chttp2_hpack_parser::strlen

grpc_chttp2_hptbl grpc_chttp2_hpack_parser::table

gpr_uint32* grpc_chttp2_hpack_parser::value

grpc_chttp2_hpack_parser_string grpc_chttp2_hpack_parser::value

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/hpack_parser.h